# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2018 Marta Marczykowska-Górecka
#                               <marmarta@invisiblethingslab.com>
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, see <http://www.gnu.org/licenses/>.


Name: qubes-idle
Version:    1.0.2
Release:    1%{?dist}
BuildArch:  noarch
Summary:    Qubes Shutdown Idle Script

Group:      Qubes
Vendor:		Invisible Things Lab
License:    GPL2+
URL:		http://www.qubes-os.org

BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-devel
Requires: python%{python3_pkgversion}-xcffib
Requires: python%{python3_pkgversion}-setuptools
Requires: python%{python3_pkgversion}-pyudev

Source0: %{name}-%{version}.tar.gz

%prep
%setup -q

%description
Qubes Shutdown Idle Script

%build
/usr/bin/python3 setup.py build

%install
%make_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/bin/qubes-idle-watcher

%dir %{python3_sitelib}/qubesidle
%{python3_sitelib}/qubesidle/__init__.py
%{python3_sitelib}/qubesidle/idle_watcher.py
%{python3_sitelib}/qubesidle/idle_watcher_window.py
%{python3_sitelib}/qubesidle/network_watcher.py
%{python3_sitelib}/qubesidle/idleness_monitor.py
%{python3_sitelib}/qubesidle/tests_idleness_monitor.py
%dir %{python3_sitelib}/qubesidle/__pycache__
%{python3_sitelib}/qubesidle/__pycache__/*
%dir %{python3_sitelib}/qubesidle-*.egg-info
%{python3_sitelib}/qubesidle-*.egg-info/*
%config /etc/xdg/autostart/qubes-idleness-monitor.desktop
/etc/qubes/post-install.d/30-qubes-idle.sh
/etc/sudoers.d/sudo-poweroff


%changelog
* Wed Oct 09 2019 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-app-shutdown-idle

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 976112e
- version 1.0.2

* Wed Oct 09 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b9c86d6
- Create sudoers.d directory

* Wed Oct 09 2019 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 5bd3bfb
- Fixed rare scheduling error and simplified idleness checking

* Fri Sep 06 2019 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b40e479
- travis: switch to xenial, update distributions

* Thu Sep 05 2019 unman <unman@thirdeyesecurity.org> - c7350f8
- reinstated destination for 30-qubes-idle.sh

* Thu Sep 05 2019 unman <unman@thirdeyesecurity.org> - e7584bf
- provide sudo snippet allowing poweroff

* Wed Sep 04 2019 unman <unman@thirdeyesecurity.org> - a383802
- Create configuration files in Debian Package. Also make requirement for passwordless sudo explicit

* Sun Nov 04 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0b3539a
- version 1.0.1

* Sat Nov 03 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - 98e6c20
- travis: add CentOS

* Sat Nov 03 2018 Frédéric Pierret (fepitre) <frederic.epitre@orange.fr> - f9cabc3
- Handle CentOS python3 version

* Sat Nov 03 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d2452bb
- Advertise 'shutdown-idle' service using qvm-features-request

* Wed Oct 17 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 62599df
- Changed entry point to qubes_idle_watcher

* Wed Oct 17 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 6c4e517
- Fixed network watcher

* Mon Oct 15 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - fb4a388
- Added watcher for network changes

* Sat Oct 13 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 90e42f7
- debian: add python dependencies generated during package build

* Fri Oct 12 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 8012ff9
- Tests improvements

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5080118
- debian: add Build-Depends: python3-all, dh-python, debhelper

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - ba0f4cf
- Build only VM, not dom0

* Fri Oct 12 2018 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 88ca9aa
- travis: initial version

* Fri Oct 12 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f15aa87
- Changes according to code review by @marmarek

* Fri Oct 12 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 645f7e2
- Added packaging, fixed some bugs

* Wed Oct 10 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 4957b0f
- Working watching for idle windows

* Tue Oct 09 2018 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 80d2f41
- Initial idle watcher

